View Issue Details

IDProjectCategoryView StatusLast Update
0008149VALENTINA STUDIOTool - Data Editorpublic2017-12-13 12:25
ReporterTony MottAssigned ToViktor Markvardt 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformALLOSALLOS VersionALL
Product Version7.4.x 
Target Version7.5.xFixed in Version7.5.x 
Summary0008149: Text Editor does not escape single quotation marks
DescriptionWhen entering data into a text field using the text editor the commit fails if there are any single quotes in the text. So if I type:

"This is another user's field"

and click OK it fails with "Unclosed quotation mark after the character string"
Steps To ReproduceOpen a SQL database
Double-click on a table to open the data editor
Double-click on a text field to bring up the editor
TagsNo tags attached.
Working with DB:SQL Server
Version of your DBMicrosoft SQL 2008 R2

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2017-12-11 16:58 Tony Mott New Issue
2017-12-12 08:39 Sergey Pashkov Assigned To => Viktor Markvardt
2017-12-12 08:39 Sergey Pashkov Status new => assigned
2017-12-12 11:51 Viktor Markvardt Status assigned => confirmed
2017-12-13 12:25 Viktor Markvardt Fixed in Version => 7.5.x
2017-12-13 12:25 Viktor Markvardt Target Version => 7.5.x
2017-12-13 12:25 Viktor Markvardt Status confirmed => resolved
2017-12-13 12:25 Viktor Markvardt Resolution open => fixed